using System.Data;

namespace SampleUltraTreeLoaderFromList
{
    public class TreePresenter
    {
        public TreePresenter(ITreeView view)
        {
            this.view = view;   
        }

        private readonly ITreeView view;
        private ITreeView View
        {
            get { return view; }
        }

        public void Initialize()
        {
            View.Bind(LoadTree());
        }
        private static TreeList LoadTree()
        {
            TreeList treeList = new TreeList();
            DataTable dataTable = new DataTable("Table1");
            DataColumn dataColumn1 = new DataColumn("Col1");
            DataColumn dataColumn2 = new DataColumn("Col2");
            dataTable.Columns.Add(dataColumn1);
            dataTable.Columns.Add(dataColumn2);
            dataTable.Rows.Add("A", "B");


            TreeListItem item1 = new TreeListItem(dataTable, "Text:Overview Window");
            treeList.Add(item1);

            TreeListItem subitem = new TreeListItem(dataTable, "Text:Overview 1");
            TreeListItem subitem3 = new TreeListItem(dataTable, "Text:Overview 1.1");
            subitem.TreeListSubItems.Add(subitem3);
            TreeListItem subitem4 = new TreeListItem(dataTable, "Text:Overview 1.1.1");
            subitem3.TreeListSubItems.Add(subitem4);
            item1.TreeListSubItems.Add(subitem);

            item1.TreeListSubItems.Add(new TreeListItem(dataTable, "Text:Overview 2"));
            item1.TreeListSubItems.Add(new TreeListItem(dataTable, "Text:Overview 3"));
            return treeList;
        }
    }
}
