using System.Windows.Forms;
using Infragistics.Win.UltraWinTree;

namespace SampleUltraTreeLoaderFromList
{
    public partial class TreeView : UserControl, ITreeView
    {
        public TreeView()
        {
            InitializeComponent();
        }

        public void Bind(TreeList treeList)
        {
            UltraTree ultraTree = new UltraTree();
            ultraTree.DataSource = treeList;
            
            ultraTree.InitializeDataNode += OnInitializeDataNode;

            ultraTree.Dock = DockStyle.Fill;
            ultraTree.ViewStyle = ViewStyle.Standard;
            ultraTree.Override.ShowExpansionIndicator = ShowExpansionIndicator.CheckOnDisplay;
            Controls.Add(ultraTree);
            ultraTree.ExpandAll();
        }
        private static void OnInitializeDataNode(object sender, InitializeDataNodeEventArgs e)
        {
            if (e.Node.Text == "Text:Overview 2")
            {
                e.Node.Visible = false;
            }
        }   
    }
}
